local proto_struct =
    [[
        # 邮件信息
        .DataMail {
            id 0: integer               # 邮件ID
            title 1: string             # 邮件标题
            cnt 2: string               # 邮件内容
            ty 3: integer               # 邮件类型 1:GM邮件
            createTime 4: integer       # 创建时间
            expireTime 5: integer       # 过期时间
            status 6: integer           # 邮件状态 0:未读 1:已读 2:删除
            items 7: *DataItem          # 物品
            statusItems 8: integer      # 物品状态 0:未领取 1:已领取
        }
]]

local proto_c2s =
    [[
        # 获取邮件信息列表
        mail_get_info 2400 {
            request {
                lastTime 0: integer         # 上次获取用户消息时间戳 非必要 空:0
            }
            response {
                code 0: integer
                mailList 1: *DataMail       # 邮件信息列表
                sysTime 2: integer          # 系统时间
            }
        }

        # 获取邮件奖励
        mail_get_award 2401 {
            request {
                idList 0: *integer          # 邮件ID列表
            }
            response {
                code 0: integer
                items 1: *DataItem
            }
        }

        # 读取
        mail_read 2402 {
            request {
                idList 0: *integer          # 邮件ID列表
            }
            response {
                code 0: integer
            }
        }

        # 删除
        mail_del 2403 {
            request {
                idList 0: *integer          # 邮件ID列表
            }
            response {
                code 0: integer
            }
        }
]]

local proto_s2c =
    [[
        # 新邮件提醒
        on_new_mail 2400 {
            request {
                id 0: integer               # 新增邮件ID
            }
        }
]]

local proto = {
    c2s = proto_struct .. proto_c2s,
    s2c = proto_struct .. proto_s2c
}

return proto
